"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Buildable = void 0;
const Extension_1 = require("./Extension");
class Buildable extends Extension_1.Extension {
    get definitionNode() {
        return undefined;
    }
    get description() {
        return this._description;
    }
    get built() {
        return this._built;
    }
    static create(...args) {
        throw new Error("Method not overridden");
    }
    build(...args) {
        throw new Error("Method not overridden");
    }
    setDescription(description) {
        this._description = description;
        return this;
    }
}
exports.Buildable = Buildable;
//# sourceMappingURL=Buildable.js.map